Feature # 6498 (Closed): V2 Metacat MN and CN Support

Add v2 service to the mn node capability

2015-07-14 21:31 - Jing Tao

Status: Closed Start date: 2015-07-14

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

We need to add v2 service in the node capability. 

History

#1 - 2015-07-16 19:05 - Jing Tao

chris: yes, but when we call mn/v2/node, it should list both the v1 and v2 services

chris: when we call mn/v1/node, i think it would only list v1 services

#2 - 2015-07-16 19:18 - Jing Tao

We changed the idea:

/mn/v1/node will return v2 type service as well if the node support v2 service. But it needs to be the correct version node document.

#3 - 2015-07-16 21:57 - Jing Tao

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

Both the java code and metacat.properties file were modified to add v1 and v2 versions in the node capacity.

Here is the result:

urn:node:METACAT_TEST

My Metacat Node

Describe your Member Node briefly.

https://valley.duckdns.org/metacat/d1/mn

2015-07-16T21:49:16.418+00:00

2015-07-16T21:49:16.418+00:00
https://valley.duckdns.org/metacat/d1/mn


uid=tao,o=NCEAS,DC=ecoinformatics,DC=org

CN=Scientist 1234,DC=dataone,DC=org

urn:node:METACAT_TEST

My Metacat Node

Describe your Member Node briefly.

https://valley.duckdns.org/metacat/d1/mn

2015-07-16T21:49:33.263+00:00

2015-07-16T21:49:33.263+00:00

uid=tao,o=NCEAS,DC=ecoinformatics,DC=org

CN=Scientist 1234,DC=dataone,DC=org

/d1:node
